Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::StdMapReflector< T, IT, VT > Struct Template Reference

This class allows to define the means for reflecting STL associative containers which hold pairs of key+value, such as std::map. More...

Inheritance diagram for osgIntrospection::StdMapReflector< T, IT, VT >:

[legend]
List of all members.

## Public Types
typedef ValueReflector< T >::instance_creator_type | instance_creator_type
typedef T::iterator | iterator
typedef T::const_iterator | const_iterator
typedef T::key_type | key_type
typedef T::mapped_type | mapped_type
## Public Member Functions
| StdMapReflector (const std::string &name)

## Detailed Description

### template<typename T, typename IT, typename VT>
struct osgIntrospection::StdMapReflector< T, IT, VT >

This class allows to define the means for reflecting STL associative containers which hold pairs of key+value, such as std::map.

## Member Typedef Documentation

template<typename T, typename IT, typename VT>
typedef T::const_iterator osgIntrospection::StdMapReflector< T, IT, VT >::const_iterator

template<typename T, typename IT, typename VT>
typedef ValueReflector<T>::instance_creator_type osgIntrospection::StdMapReflector< T, IT, VT >::instance_creator_type

| Reimplemented from osgIntrospection::ValueReflector< T >.

template<typename T, typename IT, typename VT>
typedef T::iterator osgIntrospection::StdMapReflector< T, IT, VT >::iterator

template<typename T, typename IT, typename VT>
typedef T::key_type osgIntrospection::StdMapReflector< T, IT, VT >::key_type

template<typename T, typename IT, typename VT>
typedef T::mapped_type osgIntrospection::StdMapReflector< T, IT, VT >::mapped_type

## Constructor & Destructor Documentation

template<typename T, typename IT, typename VT>
osgIntrospection::StdMapReflector< T, IT, VT >::StdMapReflector | ( | const std::string & | name | ) | `[inline]`

The documentation for this struct was generated from the following file:

- Reflector